<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('inspeksi', function (Blueprint $table) {
            $table->unsignedBigInteger('jenis_jaminan_id')->nullable()->after('permohonan_id');
            $table->foreign('jenis_jaminan_id')->references('id')->on('jenis_jaminan')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('inspeksi', function (Blueprint $table) {
            $table->dropColumn('jenis_jaminan_id');
        });
    }
};
